--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")

local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
local InkedColors = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 1}
local InkedColorsHightlight = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 0.1}

local HightlightTex = "Interface\\Addons\\Inked\\Graphics\\Buttons\\AB_ButtonsHoverTex"
local PushedTex = "Interface\\Addons\\Inked\\Graphics\\Buttons\\AB_ButtonsPushedTex"

local ButtonSize = 40
local MySpacing = 1
local BorderSize = 12
local BorderPadding = 0

local MoverAB2 = CreateFrame("Frame","AB2Drag",UIParent, BackdropTemplateMixin and "BackdropTemplate")
	--MoverAB2:SetSize((ButtonSize * 12)+12, ButtonSize)
	MoverAB2:SetPoint("CENTER", UIParent,"BOTTOM",-80, 68)
	MoverAB2:SetFrameStrata("FULLSCREEN_DIALOG")
	MoverAB2:SetClampedToScreen(true)
	MoverAB2:SetClampRectInsets(0, 0, 0,0)
local MoverAB2Text  = MoverAB2:CreateFontString(nil, "OVERLAY")
	MoverAB2Text:SetFont("Interface\\Addons\\Inked\\Fonts\\Cooline.TTF", 15, "OUTLINE")
	MoverAB2Text:SetPoint("CENTER",MoverAB2,"CENTER", 0,0); 
	MoverAB2Text:SetText("")

local function UpdateMe()
	if(Inked.db.profile.lockframes == false) then
		local point, relativeTo, relativePoint, xOfs, yOfs = MoverAB2:GetPoint(n)
			Inked.db.profile.MoverAB2X = xOfs
			Inked.db.profile.MoverAB2Y = yOfs
			Inked.db.profile.MoverAB2Point = point
			MoverAB2Text:SetText("Inked Bar 2")				
	end	
end	

local InkedSettingsFrame = CreateFrame("Frame")	
	InkedSettingsFrame:HookScript("OnUpdate",UpdateMe) 
local function CreateMoverBackdrop(frame)
	frame:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8x8",
	insets = {top = -2, left = -2, bottom = -2, right = -2}})
	frame:SetBackdropColor(0,0.55,0.95,0.45)
	frame:SetBackdropBorderColor(0,0,0,1)
end

local function MakeBar2()
	if Inked.db.profile.UseActionBars == false then return end
	local ThisTexture = ("Interface\\Addons\\Inked\\Graphics\\Buttons\\InkedButtons")
	local Bar2holder = CreateFrame("Frame", "Bar2holder", UIParent, "SecureHandlerStateTemplate")
	Bar2holder:ClearAllPoints()
	Bar2holder:SetSize(ButtonSize * 12 + MySpacing * 11, ButtonSize)
	local ImReady = InterfaceOptionsActionBarsPanelBottomRight:GetChecked()
	--print(InterfaceOptionsActionBarsPanelBottomRight:GetChecked())
	ButtonSize = Inked.db.profile.AB2ButtonSize
		-- if  MultiBarBottomLeftButton1:IsVisible() then
			-- for i = 1, 12 do
					-- local Holder = CreateFrame("Frame",nil,UIParent)
						-- Holder:SetWidth(ButtonSize)
						-- Holder:SetHeight(ButtonSize)
						-- Holder:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i],"CENTER",0, 0)
						-- local Holdertex = Holder:CreateTexture(nil, "BACKGROUND")
					-- Holdertex:SetAllPoints()
					-- Holdertex:SetTexture(ThisTexture)
					-- if Inked.db.profile.ClassABColor == true then
									-- Holdertex:SetVertexColor(InkedColors.r, InkedColors.g, InkedColors.b, InkedColors.a)
								-- elseif Inked.db.profile.ClassABColor == false then
									-- if Inked.db.profile.CustomABColor == true then
										-- Holdertex:SetVertexColor(Inked.db.profile.ABColorR,Inked.db.profile.ABColorG,Inked.db.profile.ABColorB,Inked.db.profile.ABColorA)
									-- elseif Inked.db.profile.CustomABColor == false then
										-- Holdertex:SetVertexColor(1,1,1,1)
									-- end
								-- end	
				-- end
			-- end
		
		if Inked.db.profile.AB2Layout == 1 then
		--print("layout 1")
			MultiBarBottomLeftButton1:ClearAllPoints()
			MultiBarBottomLeftButton1:SetPoint("BOTTOMLEFT", Bar2holder, 0, 0)
			for i = 2, 12 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",ButtonSize+(MySpacing*1.5), 0)
				
			end
			MoverAB2:SetSize((ButtonSize * 12)+12, ButtonSize)
			Bar2holder:SetPoint("LEFT", MoverAB2, 0,0)
		end
		if Inked.db.profile.AB2Layout == 2 then
	--	print("layout 2")
			MultiBarBottomLeftButton1:ClearAllPoints()
			MultiBarBottomLeftButton1:SetPoint("BOTTOMLEFT", Bar2holder, 0, 0)
			_G["MultiBarBottomLeftButton7"]:ClearAllPoints();
			_G["MultiBarBottomLeftButton7"]:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton1, 0, -ButtonSize+(-MySpacing*1.5))
			for i = 2, 6 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",ButtonSize+(MySpacing*1.5), 0)	
			end
			for i = 8,12 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",ButtonSize+(MySpacing*1.5), 0)			
			end
			MoverAB2:SetSize((ButtonSize * 6)+12, (ButtonSize*2) +12)
			Bar2holder:SetPoint("LEFT", MoverAB2, 0,(ButtonSize*0.25))
		end
		if Inked.db.profile.AB2Layout == 3 then
		--print("layout 3")
			MultiBarBottomLeftButton1:ClearAllPoints()
			MultiBarBottomLeftButton1:SetPoint("BOTTOMLEFT", Bar2holder, 0, 0)
			_G["MultiBarBottomLeftButton5"]:ClearAllPoints();
			_G["MultiBarBottomLeftButton5"]:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton1, 0, -ButtonSize+(-MySpacing*1.5))
			_G["MultiBarBottomLeftButton9"]:ClearAllPoints();
			_G["MultiBarBottomLeftButton9"]:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton5, 0, -ButtonSize+(-MySpacing*1.5))
			for i = 2, 4 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",ButtonSize+(MySpacing*1.5), 0)	
			end
			for i = 6,8 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",ButtonSize+(MySpacing*1.5), 0)			
			end
			for i = 10,12 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",ButtonSize+(MySpacing*1.5), 0)			
			end
			MoverAB2:SetSize((ButtonSize * 4), (ButtonSize*3))
			Bar2holder:SetPoint("LEFT", MoverAB2, 0, ButtonSize/1.75)
		end
		if Inked.db.profile.AB2Layout == 4 then
		--print("layout 4")
			MultiBarBottomLeftButton1:ClearAllPoints()
			MultiBarBottomLeftButton1:SetPoint("BOTTOMLEFT", Bar2holder, 0, 0)
			for i = 2, 12 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",0, -ButtonSize+(-MySpacing*1.5))
				
			end
			MoverAB2:SetSize(ButtonSize, (ButtonSize*12) +12)
			Bar2holder:SetPoint("LEFT", MoverAB2, 0,(ButtonSize*5.25))
		end
		if Inked.db.profile.AB2Layout == 5 then
		--print("layout 5")
			MultiBarBottomLeftButton1:ClearAllPoints()
			MultiBarBottomLeftButton1:SetPoint("BOTTOMLEFT", Bar2holder, 0, 0)
			_G["MultiBarBottomLeftButton7"]:ClearAllPoints();
			_G["MultiBarBottomLeftButton7"]:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton1, -ButtonSize+(-MySpacing*1.5), 0)
			for i = 2, 6 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",0, -ButtonSize+(-MySpacing*1.5))	
			end
			for i = 8,12 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",0, -ButtonSize+(-MySpacing*1.5))			
			end
			MoverAB2:SetSize((ButtonSize * 2)+12, (ButtonSize*6) +12)
			Bar2holder:SetPoint("LEFT", MoverAB2, ButtonSize,(ButtonSize*2.25))
		end
		if Inked.db.profile.AB2Layout == 6 then
		--print("layout 6")
			MultiBarBottomLeftButton1:ClearAllPoints()
			MultiBarBottomLeftButton1:SetPoint("BOTTOMLEFT", Bar2holder, 0, 0)
			_G["MultiBarBottomLeftButton5"]:ClearAllPoints();
			_G["MultiBarBottomLeftButton5"]:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton1, -ButtonSize+(-MySpacing*1.5), 0)
			_G["MultiBarBottomLeftButton9"]:ClearAllPoints();
			_G["MultiBarBottomLeftButton9"]:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton5, -ButtonSize+(-MySpacing*1.5), 0)

			for i = 2, 4 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",0, -ButtonSize+(-MySpacing*1.5))	
			end
			for i = 6, 8 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",0, -ButtonSize+(-MySpacing*1.5))	
			end
			for i = 10,12 do	
				_G["MultiBarBottomLeftButton"..i]:ClearAllPoints();
				_G["MultiBarBottomLeftButton"..i]:SetPoint("CENTER", _G["MultiBarBottomLeftButton"..i-1],"CENTER",0, -ButtonSize+(-MySpacing*1.5))			
			end
			MoverAB2:SetSize((ButtonSize * 3)+12, (ButtonSize*4) +12)
			Bar2holder:SetPoint("LEFT", MoverAB2, (ButtonSize*2)+2,(ButtonSize*1.25))
		end	
		
		for i = 1, 12 do
			local InkedBar2 = _G["MultiBarBottomLeftButton"..i]
			_G["MultiBarBottomLeftButton"..i]:SetWidth(ButtonSize)
			_G["MultiBarBottomLeftButton"..i]:SetHeight(ButtonSize)
			
			
			-- InkedBar2:SetAttribute("showgrid", 1)
			-- InkedBar2:SetAttribute("statehidden", false)
			-- InkedBar2.NormalTexture:SetTexture("")
			local Highlight = InkedBar2:GetHighlightTexture()	
			local Pushed = InkedBar2:GetPushedTexture()
			Highlight:SetTexture(HightlightTex)
			Highlight:SetVertexColor(InkedColorsHightlight.r,InkedColorsHightlight.g,InkedColorsHightlight.b,InkedColorsHightlight.a)
			Pushed:SetTexture(PushedTex)		
		end

		if(Inked.db.profile.lockframes == false) then
			MoverAB2:ClearAllPoints()
			if Inked.db.profile.MoverAB2Point == nil then
				MoverAB2:SetPoint("BOTTOM", UIParent,Inked.db.profile.MoverAB2X,Inked.db.profile.MoverAB2Y)
			else
				MoverAB2:SetPoint(Inked.db.profile.MoverAB2Point, UIParent,Inked.db.profile.MoverAB2X,Inked.db.profile.MoverAB2Y)
			end
			CreateMoverBackdrop(MoverAB2)
			MoverAB2:SetMovable(true)
			MoverAB2:EnableMouse(true)
			MoverAB2:RegisterForDrag("LeftButton")
			MoverAB2:SetScript("OnDragStart", MoverAB2.StartMoving)
			MoverAB2:SetScript("OnDragStop", MoverAB2.StopMovingOrSizing)
			MoverAB2:SetUserPlaced(true)
						
		elseif Inked.db.profile.MoverAB2Point == nil then
				MoverAB2:SetPoint("BOTTOM", UIParent,Inked.db.profile.MoverAB2X,Inked.db.profile.MoverAB2Y)
			else
				MoverAB2:SetPoint(Inked.db.profile.MoverAB2Point, UIParent,Inked.db.profile.MoverAB2X,Inked.db.profile.MoverAB2Y)
		end
		--if(Inked.db.profile.lockframes == true) then
			-- Bar2holder:ClearAllPoints()
			-- Bar2holder:SetPoint("LEFT", MoverAB2, 0, 0)
		--end
end		
		local InkedLoginFrame=CreateFrame("Frame")
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")
		InkedLoginFrame:RegisterEvent("CINEMATIC_STOP")
		InkedLoginFrame:SetScript("OnEvent", function(self, event) 
			MakeBar2()									
		end)